Package org.eclipse.core.commands.operations

# Interface IOperationHistoryListener

All Known Implementing Classes:
  `MergeSourceViewer`

public interface IOperationHistoryListener

This interface is used to listen to notifications from an IOperationHistory. The supplied OperationHistoryEvent describes the particular notification.

Operation history listeners must be prepared to receive notifications from a background thread. Any UI access occurring inside the implementation must be properly synchronized using the techniques specified by the client's widget library.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`historyNotification(OperationHistoryEvent event)`
Something of note has happened in the IOperationHistory.

## Method Details

### historyNotification

void historyNotification(OperationHistoryEvent event)
Something of note has happened in the IOperationHistory. Listeners should check the supplied event for details.

Parameters:
  `event` - the OperationHistoryEvent that describes the particular notification.